Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.expression
Interface ITextQuery

    public interface ITextQuery

This interface is used to query the free text within the binary content. Binary content exists in the binary property in a CM node.

To get an instance of this class, use:

     ITextQuery tQuery = FullTextQueryFactory.getTextQuery();

See javadocs on the ISearchManager interface for a more complete example.

Note: there are no specific build methods for wildcard queries, as they end up being built the same as an equals query.

- `tQuery.buildEquals("*")` will retrieve every node that was indexed.
- `tQuery.buildEquals("Search")` and `tQuery.buildEquals("*Search*")` will return the same results, though `tQuery.buildEquals("Sea")` and `tQuery.buildEquals("Sea*")` will not.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Method Summary
`ITextQueryParameter` | `buildContains(String criteria)` Match if the value is contained in indexed content
`ITextQueryParameter` | `buildContainsAll(String[] criteria)` Match if all of the values are contained in the index content.
`ITextQueryParameter` | `buildContainsAny(String[] criteria)` Match if any of the values are contained in indexed content
`ITextQueryParameter` | `buildEquals(String criteria)` match the exact value
`ITextQueryParameter` | `buildEquals(String[] criteria)` Deprecated Use buildEqualsAny()
`ITextQueryParameter` | `buildEqualsAll(String[] criteria)` match every value in the list
`ITextQueryParameter` | `buildEqualsAny(String[] criteria)` match any one of the list of values
`ITextQueryParameter` | `buildNotEquals(String value)` Matches when the specified criteria does not exist in the full text of a property's binary content.
`ITextQueryParameter` | `buildNotEqualsAll(String[] values)` Matches a binary, whem all of specified values do not exist in the free text
`ITextQueryParameter` | `buildNotEqualsAny(String[] values)` Matches a binary, whem any of specified values do not exist in the free text
`ITextQueryParameter` | `buildRelatedTo(String criteria)` Used for conceptual matching
`ITextQueryParameter` | `buildRelatedToAll(String[] criteria)` Used for conceptual matching of all values in a list
`ITextQueryParameter` | `buildSimilarTo(String criteria)` Used for "similar", possibly misspelled text
`ITextQueryParameter` | `buildSoundsLike(String criteria)` Used for soundex search.

Method Detail

### buildEquals

    ITextQueryParameter buildEquals(String criteria)
                                    throws InvalidQueryException

  match the exact value

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildEquals

    @Deprecated
    ITextQueryParameter buildEquals(String[] criteria)
                                    throws InvalidQueryException

  Deprecated Use buildEqualsAny()

  match any one of the list of values

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - if used. Use buildEqualsAny() or buildEqualsAll()

### buildEqualsAny

    ITextQueryParameter buildEqualsAny(String[] criteria)
                                       throws InvalidQueryException

  match any one of the list of values

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildEqualsAll

    ITextQueryParameter buildEqualsAll(String[] criteria)
                                       throws InvalidQueryException

  match every value in the list

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildSoundsLike

    ITextQueryParameter buildSoundsLike(String criteria)
                                        throws InvalidQueryException

  Used for soundex search. Soundex keyword search returns results that contain the keyword and phonetically similar keywords.

  Parameters
    `criteria` - The keyword
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildSimilarTo

    ITextQueryParameter buildSimilarTo(String criteria)
                                       throws InvalidQueryException

  Used for "similar", possibly misspelled text

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildRelatedTo

    ITextQueryParameter buildRelatedTo(String criteria)
                                       throws InvalidQueryException

  Used for conceptual matching

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildRelatedToAll

    ITextQueryParameter buildRelatedToAll(String[] criteria)
                                          throws InvalidQueryException

  Used for conceptual matching of all values in a list

  Parameters
    `criteria` - list of values for conceptual matching
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildNotEquals

    ITextQueryParameter buildNotEquals(String value)
                                       throws InvalidQueryException

  Matches when the specified criteria does not exist in the full text of a property's binary content.

  Note that if a Node has more than one property, exclusion will only work for the property that matches the parameter excluded and not for the rest of the properties associated with the node. So, a node may still be returned by a query excluding the single property since the other properties don't match the exclusion.

  Parameters
    `value` - The value which does not exist in the full text
  Returns
    ITextQueryParameter
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildNotEqualsAll

    ITextQueryParameter buildNotEqualsAll(String[] values)
                                          throws InvalidQueryException

  Matches a binary, whem all of specified values do not exist in the free text

  Note that if a Node has more than one property, exclusion will only work for the property that matches the parameter(s) excluded and not for the rest of the properties associated with the node. So, a node may still be returned by a query excluding the single property since the other properties don't match the exclusion.

  Parameters
    `values` - The list of criteria which do not exist in the free text
  Returns
    ITextQueryParameter
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildNotEqualsAny

    ITextQueryParameter buildNotEqualsAny(String[] values)
                                          throws InvalidQueryException

  Matches a binary, whem any of specified values do not exist in the free text

  Note that if a Node has more than one property, exclusion will only work for the property that matches the parameter(s) excluded and not for the rest of the properties associated with the node. So, a node may still be returned by a query excluding the single property since the other properties don't match the exclusion.

  Parameters
    `values` - The list of criteria which do not exist in the free text
  Returns
    ITextQueryParameter
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildContains

    ITextQueryParameter buildContains(String criteria)
                                      throws InvalidQueryException

  Match if the value is contained in indexed content

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildContainsAny

    ITextQueryParameter buildContainsAny(String[] criteria)
                                         throws InvalidQueryException

  Match if any of the values are contained in indexed content

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

### buildContainsAll

    ITextQueryParameter buildContainsAll(String[] criteria)
                                         throws InvalidQueryException

  Match if all of the values are contained in the index content.

  Parameters
    `criteria` - The criteria to check.
  Returns
    The ITextQueryParameter for the given criteria.
  Throws
    `InvalidQueryException` - If the criteria given builds an invalid query.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.